Package org.eclipse.draw2d

# Class PolylineShape

java.lang.Object
org.eclipse.draw2d.Figure
org.eclipse.draw2d.Shape
org.eclipse.draw2d.AbstractPointListShape
org.eclipse.draw2d.PolylineShape

All Implemented Interfaces:
  `IFigure`

public class PolylineShape extends AbstractPointListShape
Renders a `PointList` as a series of line segments. All points from the `PointList` are recognized as a relative points, so you can move/resize this figure normally by calling `Figure.setBounds(Rectangle)`.

Since:
  3.5

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.draw2d.Figure

`Figure.FigureIterator, Figure.IdentitySearch, Figure.ReverseFigureChildrenIterator`

## Nested classes/interfaces inherited from interface org.eclipse.draw2d.IFigure

`IFigure.NoInsets`

## Field Summary

### Fields inherited from class org.eclipse.draw2d.Shape

`lineStyle, lineWidth`

### Fields inherited from class org.eclipse.draw2d.Figure

`bgColor, border, bounds, fgColor, flags, font, MAX_FLAG, maxSize, minSize, NO_MANAGER, prefSize, toolTip`

### Fields inherited from interface org.eclipse.draw2d.IFigure

`MAX_DIMENSION, MIN_DIMENSION, NO_INSETS`

## Constructor Summary

Constructors
Constructor
Description
`PolylineShape()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`fillShape(Graphics graphics)`
Fills the interior of the shape with the background color.
`protected void`
`outlineShape(Graphics graphics)`
Outlines this shape using the foreground color.
`void`
`setTolerance(int tolerance)`
Setting tolerance parameter.
`protected boolean`
`shapeContainsPoint(int x, int y)`
Returns `true` if the point `(x, y)` is contained within this figure.

### Methods inherited from class org.eclipse.draw2d.AbstractPointListShape

`addPoint, childrenContainsPoint, containsPoint, getEnd, getPoints, getStart, insertPoint, removeAllPoints, removePoint, setEnd, setEndpoints, setPoint, setPoints, setStart`

### Methods inherited from class org.eclipse.draw2d.Shape

`getAlpha, getAntialias, getLineAttributes, getLineCap, getLineDash, getLineDashOffset, getLineJoin, getLineMiterLimit, getLineStyle, getLineWidth, getLineWidthFloat, paintFigure, setAlpha, setAlpha, setAntialias, setAntialias, setFill, setFillXOR, setLineAttributes, setLineCap, setLineDash, setLineDashOffset, setLineJoin, setLineMiterLimit, setLineStyle, setLineWidth, setLineWidthFloat, setOutline, setOutlineXOR, setXOR`

### Methods inherited from class org.eclipse.draw2d.Figure

`add, add, add, add, addAncestorListener, addCoordinateListener, addFigureListener, addFocusListener, addKeyListener, addLayoutListener, addListener, addMouseListener, addMouseMotionListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, containsPoint, erase, findDescendantAtExcluding, findFigureAt, findFigureAt, findFigureAt, findFigureAtExcluding, findMouseEventTargetAt, findMouseEventTargetInDescendantsAt, fireCoordinateSystemChanged, fireFigureMoved, fireMoved, firePropertyChange, firePropertyChange, firePropertyChange, getBackgroundColor, getBorder, getBounds, getChildren, getChildrenRevIterable, getClientArea, getClientArea, getClippingStrategy, getCursor, getFlag, getFont, getForegroundColor, getInsets, getLayoutManager, getListeners, getListenersIterable, getLocalBackgroundColor, getLocalFont, getLocalForegroundColor, getLocation, getMaximumSize, getMinimumSize, getMinimumSize, getParent, getPreferredSize, getPreferredSize, getSize, getToolTip, getUpdateManager, handleFocusGained, handleFocusLost, handleKeyPressed, handleKeyReleased, handleMouseDoubleClicked, handleMouseDragged, handleMouseEntered, handleMouseExited, handleMouseHover, handleMouseMoved, handleMousePressed, handleMouseReleased, hasFocus, internalGetEventDispatcher, intersects, invalidate, invalidateTree, isCoordinateSystem, isEnabled, isFocusTraversable, isMirrored, isMouseEventTarget, isOpaque, isRequestFocusEnabled, isShowing, isValid, isValidationRoot, isVisible, layout, optimizeClip, paint, paintBorder, paintChildren, paintClientArea, primTranslate, remove, removeAll, removeAncestorListener, removeCoordinateListener, removeFigureListener, removeFocusListener, removeKeyListener, removeLayoutListener, removeListener, removeMouseListener, removeMouseMotionListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, revalidate, setBackgroundColor, setBorder, setBounds, setChildrenDirection, setChildrenEnabled, setChildrenOrientation, setClippingStrategy, setConstraint, setCursor, setEnabled, setFlag, setFocusTraversable, setFont, setForegroundColor, setLayoutManager, setLocation, setMaximumSize, setMinimumSize, setOpaque, setParent, setPreferredSize, setPreferredSize, setRequestFocusEnabled, setSize, setSize, setToolTip, setValid, setVisible, translate, translateFromParent, translateToAbsolute, translateToParent, translateToRelative, useLocalCoordinates, validate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PolylineShape

public PolylineShape()

## Method Details

### shapeContainsPoint

protected boolean shapeContainsPoint(int x, int y)
Description copied from class: `AbstractPointListShape`
Returns `true` if the point `(x, y)` is contained within this figure.

Specified by:
  `shapeContainsPoint` in class `AbstractPointListShape`
Parameters:
  `x` - The X coordinate
  `y` - The Y coordinate
Returns:
  true if the distance between specified point and closest segment of this PolyLine is less then `tolerance`

### fillShape

protected void fillShape(Graphics graphics)
Description copied from class: `Shape`
Fills the interior of the shape with the background color.

Specified by:
  `fillShape` in class `Shape`
Parameters:
  `graphics` - the graphics object

### outlineShape

protected void outlineShape(Graphics graphics)
Description copied from class: `Shape`
Outlines this shape using the foreground color.

Specified by:
  `outlineShape` in class `Shape`
Parameters:
  `graphics` - the graphics object

### setTolerance

public void setTolerance(int tolerance)
Setting tolerance parameter. This parameter will be used in `shapeContainsPoint(int, int)`